Subject: bug#11281: DST has not effect on windows XP when system DST adjustment is disabled

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 May 2025 15:42:35 +0300

> Date: Fri, 23 May 2025 20:23:41 +0900
> From: Kazuhiro Ito <[email-masked]>
> Cc: [email-masked],
> 	[email-masked]
> 
> > > > My suggestion therefore is not to try such tricks in Emacs on Windows,
> > > > and not to expect that to produce results that are as accurate as on
> > > > Posix platforms.
> > > 
> > > Thank you for the comment.
> > > What do you mean by 'such tricks'?  Using traditional timezone name or
> > > using string as a ZONE pamareter?
> > 
> > Neither.  By "tricks" I meant unchecking the DST option in the Windows
> > Control Panel.
> 
> I live in Japan and when I set timezone to Japanese Standard Time in
> the Windows Control Panel, DST option doesn't appear.  Emacs behaves
> as if unchecking the DST option.  So, I think many user do the same
> with unchecking the DST option.

I was talking about unchecking an option when it does exist and is ON
by default.

Do the problems mentioned in this bug happen when you use Emacs?  If
so, can you show a recipe which involves only Emacs, and does not
touch any TZ settings in the Windows Control Panel?